OnlyFans API
FanslySubscribers

List Subscribers

Get the list of subscribers for a Fansly Account, including their subscription tier, price, billing cycle, and lifecycle timestamps.

GET
/api/fansly/{fanslyAccount}/subscribers
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of subscribers to return (1 - 100). Default = 20

offset?string

Number of subscribers to skip for pagination. Default = 0

search?string

Search subscribers by username/display name

subscription_tier_id?string

Filter to subscribers on a single subscription tier. Tier IDs can be obtained from the List Subscription Tiers endpoint.

status?string

Subscription status filter. Default = active

Value in"active" | "expired" | "all"

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/subscribers?limit=20&offset=0&search=&subscription_tier_id=843584256474116096&status=active"
{
  "data": {
    "stats": {
      "totalActive": 2,
      "totalExpired": 1,
      "total": 3
    },
    "subscriptions": [
      {
        "id": "500000000000000001",
        "historyId": "500000000000000002",
        "subscriberId": "600000000000000001",
        "subscriptionTierId": "700000000000000001",
        "subscriptionTierName": "Starter Tier",
        "subscriptionTierColor": "#FF6F61",
        "planId": "700000000000000010",
        "promoId": "0",
        "giftCodeId": null,
        "paymentMethodId": "0",
        "status": 3,
        "price": 5000,
        "renewPrice": 5000,
        "renewCorrelationId": "500000000000000002",
        "autoRenew": 1,
        "billingCycle": 30,
        "duration": 30,
        "renewDate": 1780479709000,
        "version": 3,
        "createdAt": 1780479709000,
        "updatedAt": 1780479710000,
        "endsAt": 1783071709000,
        "promoPrice": null,
        "promoDuration": null,
        "promoStatus": null,
        "promoStartsAt": null,
        "promoEndsAt": null
      },
      {
        "id": "500000000000000003",
        "historyId": "500000000000000004",
        "subscriberId": "600000000000000002",
        "subscriptionTierId": "700000000000000002",
        "subscriptionTierName": "Premium Tier",
        "subscriptionTierColor": "#FF69B4",
        "planId": "700000000000000020",
        "promoId": "0",
        "giftCodeId": null,
        "paymentMethodId": "0",
        "status": 4,
        "price": 99000,
        "renewPrice": 99000,
        "renewCorrelationId": "500000000000000004",
        "autoRenew": 0,
        "billingCycle": 30,
        "duration": 30,
        "renewDate": 1780433433000,
        "version": 4,
        "createdAt": 1780433433000,
        "updatedAt": 1780433434000,
        "endsAt": 1783025433000,
        "promoPrice": null,
        "promoDuration": null,
        "promoStatus": null,
        "promoStartsAt": null,
        "promoEndsAt": null
      }
    ],
    "hasMore": false
  },
  "_pagination": {
    "next_page": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055811,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}